package cn.wise.sc.acquisition.business.enumation;

import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description: 文件扩展名
 * @author: qh
 * @create: 2020-10-16 13:40
 **/
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
@JSONType(serializeEnumAsJavaBean = true)
@Getter
@AllArgsConstructor
public enum FileExt {

	//office后缀名

	DOC(".doc"),
	DOCX(".docx"),
	EXCL(".xls"),
	PDF("pdf"),
	EXCLX(".xlsx");

	@EnumValue
	private String name;
}
